# Event Types

Our event types are designed following the `resource.event` format for your intuitive coding. As new event types will be added as we roll out more features or make updates to existing ones, we recommend you to revisit this list whenever you receive a new event type.

#### Live entity and session related

> **`live_entities.created`**    *`data.object`* *is a* [*`live_entity`*](broken://pages/-M2fvQqA5TyxMyGUAgw-)*.*
>
> Occurs whenever a live entity is created.

> **`live_entities.updated`**    *`data.object`* *is a* [*`live_entity`*](broken://pages/-M2fvQqA5TyxMyGUAgw-)*.*
>
> Occurs whenever a live entity is updated.

> **`live_entities.deleted`**    *`data.object` is a* [*`live_entity`*](broken://pages/-M2fvQqA5TyxMyGUAgw-)*.*
>
> Occurs whenever a live entity is deleted.

> **`live_entities.ready`**    *`data.object`* *is a* [*`live_entity`*](broken://pages/-M2fvQqA5TyxMyGUAgw-)*.*
>
> Occurs whenever the `status` of a live entity is changed to `ready`. This event indicates that the live entity you created is ready to ingest and broadcast.

> **`live_entities.publish`**    *`data.object`* *contains a* [*`live_entity`*](broken://pages/-M2fvQqA5TyxMyGUAgw-)*.*
>
> Occurs whenever a live entity receives the first live signal of a live session.

> **`live_entities.publish_done`**    *`data.object`* *contains a* [*`live_entity`*](broken://pages/-M2fvQqA5TyxMyGUAgw-)*.*
>
> Occurs whenever a live session ends.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uiza.io/2022-06-22/api-reference/events/event-types.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
